#! /bin/bash -xe

#
# Deploy ENVRI-HUB VRE
#

ip=admin.envri-vre.cloud.cesnet.cz
# wait for ping and ssh
{
	while ! ping -c 1 "$ip"; do sleep 5; done
	ssh-keygen -R "$ip"
	while ! ssh ubuntu@"$ip" -o ConnectTimeout=10 -o PreferredAuthentications=publickey -o StrictHostKeyChecking=no :; do sleep 10; done
}

# check ssh access
ansible -m command -a 'uname -a' allnodes

# wait cloud-init
ansible -m shell -a 'while ! test -f /var/lib/cloud/instance/boot-finished; do sleep 2; done' allnodes

# kubernetes
ansible-playbook playbooks/squid.yaml
ansible-playbook playbooks/cvmfs.yaml

# wait for finish
# while ansible -m command -a 'kubectl get pods --all-namespaces' master | tail -n +3 | grep -Ev ' (Running|Completed) '; do sleep 5; done

ansible-playbook playbooks/security-logs.yaml
