variable "ip_pool" {
  type        = string
  description = "The name of the public IP pool for the servers"
}

variable "net_name" {
  type        = string
  description = "The name of the IPv4 network"
}

variable "net6_name" {
  type        = string
  description = "The name of the IPv6 network"
}

variable "site_name" {
  type        = string
  description = "Site identifier for internal host names"
}

variable "gpu_flavor_name" {
  type        = string
  description = "Name of the GPU flavor"
}

variable "master_flavor_name" {
  type        = string
  description = "Name of the master flavor"
}

variable "worker_flavor_name" {
  type        = string
  description = "Name of the worker flavor"
}

variable "extra_workers" {
  type        = number
  description = "Number of extra workers to create"
}

variable "gpu_workers" {
  type        = number
  description = "Number of GPU workers to create"
}

variable "docker_volumes_size" {
  type        = number
  description = "Size of volumes for docker (GB)"
}

variable "nfs_volume_size" {
  type        = number
  description = "Size of volume for NFS server (GB)"
}

variable "scratch_volumes_size" {
  type        = number
  description = "Size of volume for ephemeral volumes (GB)"
}

variable "squid_volume_size" {
  type        = number
  description = "Size of volume for squid proxy, CVMFS cache (GB)"
}

variable "security_public_cidr" {
  type        = map(string)
  description = "Enabled IP ranges"
  default = {
    "0.0.0.0/0" : "Public access",
    "::/0" : "Public access",
  }
}
